1. saldun22's Avatar
    Hello !

    Is it enybody knows how to install Skype to iPhone 3G 4.2.1 ?
    You will save my life,please !!!
    2012-08-16 04:33 PM
  2. H4CK3R's Avatar
    Skype is no longer compatible with iOS 4.2.1. It now requires iOS 4.3.3+, therefore making is unusable on the 3G.

    You would need to get Skype version 3.0.0 or lower, I believe this is when compatibility for 4.2.1 was dropped from the app.
    2012-08-23 08:55 PM
LINK TO POST COPIED TO CLIPBOARD